package com.bankaudit.service;

import java.util.List;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.model.MaintControlDesignEffectiveness;

public interface MaintControlDesignEffectivenessService {
	void createMaintControlDesignEffectiveness(MaintControlDesignEffectiveness maintControlDesignEffectiveness)throws Exception;
	
	void updateMaintControlDesignEffectiveness(MaintControlDesignEffectiveness maintControlDesignEffectiveness);
	
	MaintControlDesignEffectiveness getControlDesignEffByCodeAndType(Integer legalEntityCode,String controlDesignEffCode,
			String controlDesignEffType,String status);
	
	List<MaintControlDesignEffectiveness> getControlDesignEffectivenessByType(Integer legalEntityCode ,String controlDesignEffType);
	
	DataTableResponse getAllMaintControlDesignEffectiveness(String search, Integer orderColumn, String orderDirection, Integer page,
			Integer size,Integer legalEntityCode);
	
	Boolean isMaintControlDesignEffectiveness(Integer legalEntityCode, String controlDesignEffCode, String controlDesignEffType);
	
	Boolean validateScore(MaintControlDesignEffectiveness maintControlDesignEffectiveness);
		
	List<MaintControlDesignEffectiveness> getMaintControlDesignEffectiveness(Integer legalEntityCode);
}
